# Works in conjunction with shortcodes/component-versions.html
# The shortcode generates a table containing ordered component versions for each minor version release.

# Add in component version information for each minor version release of a major version.
# A major version can be individually called in release notes with {{< component-versions "##.##" >}}

# Each list section (major_version, release_order, and release) should start with the latest and move toward older releases.
# Insert new major or minor version release data above existing entries.

major_version:
  "25.10":
    release_order: # list minor version releases in order, starting with the latest
      - "25.10-BETA.1"
    component_order: # list components in the order they should appear in the left column
      - "linux_kernel"
      - "openzfs"
      - "docker_engine"
      - "nvidia_driver"
    release: # include each release with component versions and links 
      "25.10-BETA.1":
        components:
          linux_kernel:
            version: "TBD"
            link: ""
          openzfs:
            version: "TBD"
            link: ""
          docker_engine:
            version: "TBD"
            link: ""
          nvidia_driver:
            version: "TBD"
            link: ""

  "25.04":
    release_order: # list minor version releases in order, starting with the latest
      - "25.04.1"
      - "25.04.0"
      - "25.04-RC.1"
      - "25.04-BETA.1"
    component_order: # list components in the order they should appear in the left column
      - "linux_kernel"
      - "openzfs"
      - "docker_engine"
      - "nvidia_driver"
    release: # include each release with component versions and links
      "25.04.1":
        components:
          linux_kernel:
            version: "6.12.15"
            link: "https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/tag/?h=v6.12.15"
          openzfs:
            version: "2.3.0-1"
            link: "https://github.com/openzfs/zfs/releases/tag/zfs-2.3.0"
          docker_engine:
            version: "27.5.0"
            link: "https://docs.docker.com/engine/release-notes/27/#2750"
          nvidia_driver:
            version: "550.142"
            link: "https://www.nvidia.com/en-us/drivers/details/237853/" 
      "25.04.0":
        components:
          linux_kernel:
            version: "6.12.15"
            link: "https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/tag/?h=v6.12.15"
          openzfs:
            version: "2.3.0-1"
            link: "https://github.com/openzfs/zfs/releases/tag/zfs-2.3.0"
          docker_engine:
            version: "27.5.0"
            link: "https://docs.docker.com/engine/release-notes/27/#2750"
          nvidia_driver:
            version: "550.142"
            link: "https://www.nvidia.com/en-us/drivers/details/237853/" 
      "25.04-RC.1":
        components:
          linux_kernel:
            version: "6.12.15"
            link: "https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/tag/?h=v6.12.15"
          openzfs:
            version: "2.3.0-1"
            link: "https://github.com/openzfs/zfs/releases/tag/zfs-2.3.0"
          docker_engine:
            version: "27.5.0"
            link: "https://docs.docker.com/engine/release-notes/27/#2750"
          nvidia_driver:
            version: "550.142"
            link: "https://www.nvidia.com/en-us/drivers/details/237853/"
      "25.04-BETA.1":
        components:
          linux_kernel:
            version: "6.12.9"
            link: "https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/tag/?h=v6.12.9"
          openzfs:
            version: "2.3.0-1"
            link: "https://github.com/openzfs/zfs/releases/tag/zfs-2.3.0"
          docker_engine:
            version: "27.5.0"
            link: "https://docs.docker.com/engine/release-notes/27/#2750"
          nvidia_driver:
            version: "550.142"
            link: "https://www.nvidia.com/en-us/drivers/details/237853/"
